#!/usr/bin/perl -w
# US calculator functional 1976 through 2099
# EU calculator functional 1996 through 2099

package Dst_usen;

use POSIX;
require Exporter;
@ISA = qw(Exporter) ;
@EXPORT_OK = qw(&april_us &october_us $y );


sub april_us
{
my ($year) = shift;
my $april_us_day = ((($year * 6) - (floor ($year / 4)) + 2 ) % 7) + 1;
return $april_us_day;
}

sub october_us
{
my ($year) = shift;
my $october_us_day = 31 - (((floor ($year * 5) / 4) + 1) % 7 );
return $october_us_day;
}

sub march_eu
{
my ($year) = shift;
my $march_eu_day = 31 - (((floor ($year * 5) / 4) + 4) % 7 );
return $march_eu_day;
}

sub october_eu
{
my ($year) = shift;
my $october_eu_day = 31 - (((floor ($year * 5) / 4) + 1) % 7 );
return $october_eu_day;
}
return 1;

