#!/usr/bin/perl -w

##############################################################################
# Main program
#
; # constants();
; # use strict;
package Sunsub;
require Exporter;

@ISA = qw(Exporter) ;
@EXPORT_OK = qw(&getsun @suntime @myhash); 
 
my $p1 = 3.14159265;
my $p2 = 2*$p1;
my $dr = $p1/180;
my $k1 = 15*$dr*1.0027379;
my $s_str = "Sunset  @ ";
my $r_str = "Sunrise @ ";
my $m1_str = "No sunrise this date ";
my $m2_str = "No sunset this date ";
my $m3_str = "Sun down all day ";
my $m4_str = "Sun up all day ";
; # my @suntime ;
; # my @myhash ;
my $d;
my $d5;
my $a5;
my $t3;
my $e;
my $s;
my $t0;
my $v2;
my $d2;
my $a2;
my $limit_for_c0;
my $w8;
my $d0;
my $c0;
my $dd;
my $m8;
my $c;
my $b5;
my $z1;
my $step_for_c0;
my $z0;
my @a;
my @d;
my $z;
my $a0;
my $da;
my $v0;
my $y;
my $m;
my $t;
my $tt;
my $l5;
my $h;



sub getsun
{
($b5) = shift;
($l5) = shift;
($h) = shift;
($y) = shift;
($m) = shift;
($d) = shift;
$l5 = $l5/360;
$z0 = $h/24;
my @sunstr;
my @sunmes;
my $idex;
; # my @suntime;



my ($j, $f) = &j_date($y,$m,$d);
; # print $j;


        $t = ($j-2451545)+$f;
L70:    $tt = $t/36525+1;
L80:    ; #               from 1900.0

my ($s, $t0) = &time_z($t,$dr, $l5, $z0);

        $t = $t+$z0;

my ($a5, $d5) = &sun_pos($p2, $t, $tt);

L110:   ; #        Get Sun's Position

        $a[1] = $a5;
        $d[1] = $d5;
        $t = $t+1;

($a5, $d5) = &sun_pos($p2, $t, $tt);

        $a[2] = $a5;
        $d[2] = $d5;
L150:   if ($a[2] < $a[1]) 
	{
            $a[2] = $a[2]+$p2;
        }
L160:   $z1 = $dr*90.833;
        ; #  ' Zenith dist.
L170:   $s = sin($b5*$dr);
        $c = cos($b5*$dr);
L180:   $z = cos($z1);
        $m8 = 0;
        $w8 = 0;
        print("", "\n");
L190:   $a0 = $a[1];
        $d0 = $d[1];
L200:   $da = $a[2]-$a[1];
        $dd = $d[2]-$d[1];
L210:   $c0 = 0;
        $step_for_c0 = 1;
        $limit_for_c0 = 23;
        do {
L220:      my $p = ($c0+1)/24;
L230:       $a2 = $a[1]+$p*$da;
            $d2 = $d[1]+$p*$dd;

($c0, $v2, $d2, $a2, $m8, $w8, $idex, @sunstr) = &event_det($t0, $c0, $k1, $a2, $d2, $s, $a0, $d0, $idex, $m8, $w8);

; # print $idex;
; # print "here idex";

L250:       $a0 = $a2;
            $d0 = $d2;
            $v0 = $v2;
L260:       $c0 += $step_for_c0;

        } until ($step_for_c0 > 0 ? $c0 > $limit_for_c0 : $c0 < $limit_for_c0);

; # print @sunstr;

; # print $w8;
; # print "\n";

; # print $m8;
@sunmes = &spec_mes($m8, $w8, $v2);
        ; #  '  Special msg?
; # print @sunmes;
do
{
$sunstr[$idex] = "";
$idex = $idex + 1;
} until ($idex > 6);

@suntime = (@sunstr, @sunmes);
; # print $suntime[0];
; # print $suntime[1];
; # print $suntime[2];
; # print $suntime[3];
; # print $suntime[4];
; # print $suntime[5];
; # print $suntime[6];
; # print $suntime[7];
; # print $suntime[8];
; # print $suntime[9];

; # print $#suntime;
my @sunstr;
my @sunmes;

; # print @suntime;

return @suntime;
}
L290:   ; # 
1;


sub time_z 
{

my $t;
my $dr;
my $s;
my $l5;
my $z0;
my $t0;

($t) = shift;
($dr) = shift;
($l5) = shift;
($z0) = shift;

	; #      LST at 0h zone time
	$t0 = $t/36525;
	$s = 24110.5+8640184.813*$t0;
	$s = $s+86636.6*$z0+86400*$l5;
	$s = $s/86400;
	$s = $s-int($s);
	$t0 = $s*360*$dr;

return($s,$t0);
}

sub event_det
{
; # recieves  $s ,$c0,$k1,$d2, $a0, $d0,$a2
; # returns $c0,$v2,$d2,$a2,$suntime
my $t;
my $l0;
my $l2;
my $h0;
my $h1;
my $h2;
my $v1;
my $vo;
my $a;
my $d;
my $b;
my $d1;
my $d3;
my $h7;
my $n7;
my $d7;
my $az;
my $azimuth;
my $m3;
my $h3;
my $idex;
my $m8;
my $w8;
my $sunstr;

 
($t0) = shift;
($c0) = shift;
($k1) = shift;
($a2) = shift;
($d2) = shift;
($s) = shift;
($a0) = shift;
($d0) = shift;
($idex) = shift;
($m8) = shift;
($w8) = shift;
   ; #   Test an hour for an event

   $l0 = $t0+$c0*$k1;
   $l2 = $l0+$k1;
   $h0 = $l0-$a0;
   $h2 = $l2-$a2;
   $h1 = ($h2+$h0)/2;

; #    Hour angle,

   $d1 = ($d2+$d0)/2;

; #    declination, at half hour

   if ($c0 > 0)	
	{
	goto L570;
       	}

   $v0 = $s*sin($d0)+$c*cos($d0)*cos($h0)-$z;

L570:   $v2 = $s*sin($d2)+$c*cos($d2)*cos($h2)-$z;
   if (sgn($v0) == sgn($v2))
	{
	goto L800;
       	}
   $v1 = $s*sin($d1)+$c*cos($d1)*cos($h1)-$z;
   $a = 2*$v2-4*$v1+2*$v0;
   $b = 4*$v1-3*$v0-$v2;
   $d = $b*$b-4*$a*$v0;
   if ($d < 0) 
	{
	goto L800;
        }
   $d = sqrt($d);
   if ($v0 < 0 && $v2 > 0) 
	{
; # 	print($r_str);
$sunstr[$idex] = sprintf($r_str);
; # print $sunstr[$idex];
$idex = $idex + 1;
        }
   if ($v0 < 0 && $v2 > 0) 
	{
	$m8 = 1;
        }
   if ($v0 > 0 && $v2 < 0) 
	{
; #	print($s_str);
$sunstr[$idex] = sprintf($s_str);
; # print $sunstr[$idex];
$idex = $idex + 1;
        }
   if ($v0 > 0 && $v2 < 0) 
	{
	$w8 = 1;
	}
   $e = (-$b+$d)/(2*$a);
   if ($e > 1 || $e < 0) 
	{
	$e = (-$b-$d)/(2*$a);
        }
   $t3 = $c0+$e+1/120;

; #   Round off

   $h3 = int($t3);
   $m3 = int(($t3-$h3)*60);
; # next if statement converts miniuts to a text string in order to preserve leading zero
   if ($m3 < 10)
	{
	$m3 = sprintf("%02d",$m3);
	}
; #   print($h3,':',$m3,' ');

#   $suntime[$idex] = sprintf($h3,':',$m3,' ');
$sunstr[$idex] = sprintf($h3.":".$m3." ");
$idex = $idex + 1;

   $h7 = $h0+$e*($h2-$h0);
   $n7 = -cos($d1)*sin($h7);
   $d7 = $c*sin($d1)-$s*cos($d1)*cos($h7);
   $az = atan2($n7,$d7)/$dr;
; # print $az;

   if ($d7 < 0) 
	{
	$az = $az+180;
        }
   if ($az < 0) 
	{
	$az = $az+360;
        }
   if ($az > 360) 
	{
	$az = $az-360;
        }
   $azimuth=sprintf("%.3f", $az,' ', "\n");

$sunstr[$idex] =  sprintf(", Azimuth ".$azimuth."\n");
$idex = $idex + 1;




; # print $suntime;
; # return ($c0, $v2, $d2, $a2, $m8, $w8,$suntime);
; ##################################################

; # return ($c0, $v2, $d2, $a2, $m8, $w8, @moontime);
; # print "inside line 440";
; # left above not sure how exits rountine
; ##################################################


L800:  
; # print @sunstr;
; # print $idex;

return ($c0, $v2, $d2, $a2, $m8, $w8, $idex, @sunstr);

}

sub spec_mes

{
my $m8;
my $w8;
my $v2;
my @sunmes;
($m8) = shift;
($w8) = shift;
($v2) = shift;
; # print $m8;
; # print "\n";
; # print $w8;
; # print "\n";
; # print $v2;
; # print "\n";

   ; #    Special-message routine
   if ($m8 == 0 && $w8 == 0) {
            goto L870;
        }
   if ($m8 == 0) {
; #             print($m1_str, "\n");
$sunmes[1] = sprintf($m1_str, "\n");
        }
   if ($w8 == 0) {
; #             print($m2_str, "\n");
$sunmes[1] = sprintf($m2_str, "\n");
        }
; # print "here";
goto L890;

L870:   if ($v2 < 0) {
; #             print($m3_str, "\n");
$sunmes[1] = sprintf($m3_str, "\n");
        }
   if ($v2 > 0) {
; #             print($m4_str, "\n");
$sunmes[1] = sprintf($m4_str, "\n");
        }
L890:
; # print @sunmes;

return (@sunmes);
}

sub sun_pos
{
my $l;
my $g;
my $v;
my $w;
my $s;
my $u;
my $p2;
my $t;
my $tt;

($p2) = shift;
($t) = shift;
($tt) = shift;


   ; # 
   ; #    Fundamental arguments
   ; #      (Van Flandern &amp;
   ; #      Pulkkinen, 1979)
   $l = 0.779072+0.00273790931*$t;
   $g = 0.993126+0.0027377785*$t;
   $l = $l-int($l);
   $g = $g-int($g);
   $l = $l*$p2;
   $g = $g*$p2;
   $v = 0.39785*sin($l);
   $v = $v-0.01*sin($l-$g);
  $v = $v+0.00333*sin($l+$g);
  $v = $v-0.00021*$tt*sin($l);
  $u = 1-0.03349*cos($g);
  $u = $u-0.00014*cos(2*$l);
  $u = $u+8e-05*cos($l);
  $w = -0.0001-0.04129*sin(2*$l);
  $w = $w+0.03211*sin($g);
  $w = $w+0.00104*sin(2*$l-$g);
  $w = $w-0.00035*sin(2*$l+$g);
  $w = $w-8e-05*$tt*sin($g);
  ; # 
  ; #     Compute Sun's RA and Dec
  $s = $w/sqrt($u-$v*$v);
  $a5 = $l+atan2($s/sqrt(1-$s*$s),1);
  $s = $v/sqrt($u);
  $d5 = atan2($s/sqrt(1-$s*$s),1);
; # $r5 commented out, perl complains not used anywhere else ;
; # L1150:  $r5 = 1.00021*sqrt($u);

return ($a5, $d5);

}

sub j_date 
{

; # recieves $y,$m,$d 
; # returns $f,$j
my $g;
my $d1;
my $a;
my $s;
my $j3;
my $m;
my $y;
my $d;
my $f;
my $j;

($y) = shift;
($m) = shift;
($d) = shift;
 
  $g = 1;
  if ($y < 1583)
	{
        $g = 0;
	}
  $d1 = int($d);
      $f = $d-$d1-0.5;
  $j = -int(7*(int(($m+9)/12)+$y)/4);
  if ($g == 0)
	{
        goto L1260;
        $s = sgn($m-9);
	$a = abs($m-9);
	}

   $j3 = int($y+$s*(int($a/7)));
   $j3 = -int((int($j3/100)+1)*3/4);
L1260:  $j = $j+int(275*$m/9)+$d1+$g*$j3;
  $j = $j+1721027+2*$g+367*$y;
  if ($f >= 0)
	{
        goto L1300;
        }
  $f = $f+1;
  $j = $j-1;
L1300:  return($j, $f);
}

sub sgn
{
return $_[0] == 0 ? 0 : $_[0] < 0 ? -1 : 1;
}
  ; # 
  ; #    This program by Roger W. Sinnott calculates the times of sunrise
  ; #    and sunset on any date, accurate to the minute within several
  ; #    centuries of the present.  It correctly describes what happens in the 
  ; #    arctic and antarctic regions, where the Sun may not rise or set on
  ; #    a given date.  Enter north latitudes positive, west longitudes
  ; #    negative.  For the time zone, enter the number of hours west of
  ; #    Greenwich (e.g., 5 for EST, 4 for EDT).  The calculation is
  ; #    discussed in Sky &amp; Telescope for August 1994, page 84.
